const { defineConfig } = require('@vue/cli-service')

const path = require('path');

function resolve(dir) {
  return path.join(__dirname, dir)
}

module.exports = defineConfig({
  transpileDependencies: true,
  publicPath:"./",
  pages: {
    index: {
      entry: 'src/main.ts',
      template: 'public/index.html',
      fileName: 'index.html'
    }
  },
  chainWebpack: config => {

      config.module.rule("images")
      .test(/\.(jpg|png|gif)/)
      .use("url-loader").loader("url-loader").options({
          name: '[name].[ext]?[hash]',
          limit: 99999
      })
    //
    //
    // const fileRule = config.module.rule('file-loader')
    // fileRule.test(/\.png$/);
    // fileRule.use('file-loader').loader('file-loader')



  }

})
